v4 /surveyresources/{surveyResourceId}/features.json

Returns features, their attributes and optional supplementary data within the given polygon or address, for the given survey resource.

Path Params
string
required

The ID of the survey resource to fetch AI data from.

Query Params
string

Represents the Area Of Interest (AOI) to query against. It is depicted by a set of points (longitude/latitude pairs) where the first and last point must be the same. The polygon must not self-intersect.

It cannot be used with the address geocoding parameters (streetAddress, city, state, zip and country), or with an aoi defined in the request body for the HTTP POST variant endpoints.

Must be omitted when TXv3 token authorization is used.

boolean
Defaults to false

Bulk determines whether if the request is part of a large batch of requests, meaning requests will not be rate-limited.

string

Packs accepts a list of comma-separated product packs. This returns specific features and attributes under the pack. The response will return all features and attributes that the user is entitled to if no packs are provided.

It cannot be used with the classes query parameter. This parameter is ignored if used with an empty value.

string

Classes accepts a list of comma-separated feature class IDs. Features classes not requested will be filtered out of the response. The full list of available feature classes can be obtained by using the classes.json endpoint (Feature class IDs are in the id field for classes of type Feature). The response will include all feature classes that the user is entitled to if the query parameter is not specified.

It cannot be used with the packs query parameter. This parameter is ignored if used with an empty value.

string

The street address for a geocoded request. Should consist of the street number, street name, and street type.

It cannot be used with the polygon query parameter.

Must be omitted when TXv3 token authorization is used.

string

The city, suburb, or locality for a geocoded request.

It cannot be used with the polygon query parameter.

Must be omitted when TXv3 token authorization is used.

string

The two-letter state code for a geocoded request.

It cannot be used with the polygon query parameter.

Must be omitted when TXv3 token authorization is used.

string

The five-digit ZIP code or nine-digit ZIP+4 code for US addresses or the four-digit postal code for AU addresses for a geocoded request.

It cannot be used with the polygon query parameter.

Must be omitted when TXv3 token authorization is used.

string
enum

The two-letter country code for the geocoded request. Only supports US and AU. Defaults to US when geocoding is used without supplying the country code.

It cannot be used with the polygon query parameter.

Must be omitted when TXv3 token authorization is used.

Allowed:
boolean
Defaults to false

When set to true, causes alpha classes to be included in results.

boolean
Defaults to false

When set to true, causes beta classes to be included in results.

boolean
Defaults to false

When set to true, the API will treat the input AOI (or address) as a parcel boundary. In this mode, the API will mark the features that are considered to be part of the parcel with the belongsToParcel flag. Features that are part of single-parcel structures will be returned in their entirety, while features that are part of multi-parcel structures will be clipped to the parcel boundary. In this case, the clippedGeometry field will be added to the feature containing the geometry clipped to the parcel boundary.

In this mode, supplementary data calculations will also take into account the parcel boundary and use the clipped geometry.

Parcel mode is only supported for gen6 system versions. If the resource does not resolve to a gen6 resource, the API will not include parcel mode data in the response and will not calculate supplementary data using the clipped geometry.

See: https://developer.nearmap.com/docs/parcel-mode-user-guide for a technical guide of the parcel mode algorithms.

string

A comma-separated list of supplementary data to include in the response. The currently supported values are: roofSpotlightIndex, roofConditionConfidenceStats, damage, defensibleSpace, hurricaneScore, windScore, hailScore, wildfireScore, windHailRiskScore, or all for all types of supplementary data available given the user's entitlements and request type (bulk requests may support a subset of supplementary data sources).

Inclusion of supplementary data is only supported for gen6 system versions. If the resource does not resolve to a gen6 resource, the API will not include supplementary data in the response.

string

When set, the API will use the specified damage model version when calculating damage supplementary data. If not set, the latest damage model version available will be used.

Currently supported model versions are: B.0 and B.1 (latest).

Headers
string

Allows a reference string to be echoed back opaquely in the body of the response.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain